"""Script to move a normal variable to make it look as it is an interpolated one"""
import shutil
import os

path = '/esarchive/exp/ecearth/a0pe/cmorfiles/BSC/EC-EARTH3/a0pe/'
new_grid = 'grib'

for startdate in os.listdir(path):
    var_path = os.path.join(path, startdate, 'mon', 'atmos', 'ta')
    new_var_path = os.path.join(var_path, new_grid)
    if not os.path.isdir(var_path):
        continue
    if not os.path.exists(new_var_path):
        os.makedirs(new_var_path)

    for member in os.listdir(var_path):
        if not member.endswith('i1p1'):
            continue
        member_path = os.path.join(var_path, member)
        new_member_path = os.path.join(new_var_path, member)
        shutil.move(member_path, new_member_path)

